<?php

function md5sign($params, $secretKey) {
    ksort($params);
    unset($params['sign']);
 
    return md5(join(null, $params).$secretKey);
}
 
/**
 * Ошибочный ответ партнера
 *
 * @param $message
 */
function responseError($message) {
    $error = array(
        "jsonrpc" => "2.0",
        "error" => array(
            "code" => -32000,
            "message" => $message
        ),
        'id' => 1
    );
   echo json_encode($error); exit();
}
 
/**
 * Успешный ответ партнера
 *
 * @param $message
 */
function responseSuccess($message) {
    $success = array(
        "jsonrpc" => "2.0",
        "result" => array(
            "message" => $message
        ),
        'id' => 1
    );
    echo json_encode($success); exit();
}
 
// Ваш секретный ключ из личного кабинета
$secretKey = 'ecebe7b1bec5543e86ddcb4ecc5cf951';
$method = $_GET['method'];
$params = $_GET['params'];
 /*
if ($params['sign'] != md5sign($params, $secretKey)) {
    responseError("Некорректная цифровая подпись");
}*/
 
switch($method) {
    case 'check':
responseSuccess("Услуга абоненту оказана");
        // Проверяем что можем оказать абоненту услугу
        break;
    case 'pay':

$sum = $params['sum'];
$id = $params['account'];
$exep=explode("--",$id);
if(isset($exep[1]) AND $exep[1]=='key' AND $sum>=24){$key = 1;$id=$exep[0];}
if(!empty($sum) AND !empty($id) AND !isset($key)){
include_once ''.(str_replace("/pay_rubi/paytools/","", $_SERVER['DOCUMENT_ROOT'])).'/inc/start_sess.php';
$kols=htmlspecialchars($sum);
$ku=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id`='".(intval($id))."' LIMIT 1"));
$kol=round($kols/0.06);
if($ku['flowerbed']==11)$bon=round(($kol/100)*25);
if($ku['flowerbed']>=12)$bon=round(($kol/100)*50);
if($ku['flowerbed']==20)$bon=round(($kol/100)*100);
function texi($kol){
$rest = substr("$kol", -1);
if($rest>=1){$tex="рубинов";}
if($kol>=21 and $rest==1){$tex="рубин";}
if($kol>=21 and $rest>=2 and $rest<=4){$tex="рубина";}
if($kol>=21 and $rest>=5){$tex="рубинов";}
if($rest==0){$tex="рубинов";}
return $tex;
}
if(isset($bon))$bontext='Бонус за клумбу: '.$bon.' '.(texi($bon)).'.'; else {$bon=0;$bontext='';}
$text="Получен платеж на Ваш аккаунт: $kol ".(texi($kol)).".
$bontext
Всего зачислено: ".($kol+$bon)." ".(texi($kol+$bon)).".";
///
//echo "Оплата заказа прошла удачно. $text";
$sum=$kol+$bon;
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '$ku[rubies]'+'$sum',`action_time`='".(time()+86400)."' WHERE `id` = '$ku[id]' LIMIT 1") or die (mysql_error());
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$ku[id]', `id_kont` = '0', `msg` = '$text', `time` = '".(time())."', `type` = 'to'") or die (mysql_error());
mysql_query("INSERT INTO `kolhoz_price` SET `id_user` = '$ku[id]', `kol` = '$kol', `bon` = '$bon', `time` = '".(time())."', `kol_all` = '$sum'") or die (mysql_error());
}

if(!empty($sum) AND !empty($id) AND isset($key)){
include_once ''.(str_replace("/pay_rubi/paytools/","", $_SERVER['DOCUMENT_ROOT'])).'/inc/start_sess.php';
$ku['id']=$id;
$text="Платеж прошел успешно, у вас появился новый ключ для погреба!";
if($sum>=34)$times=86500*7; else $times=86500*5;
if($sum>=34)$timesbon=86500*3; else $timesbon=86500*2;
mysql_query("UPDATE `kolhoz_user` SET `action_time`='".(time()+86400)."' WHERE `id` = '$ku[id]' LIMIT 1") or die (mysql_error());
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$ku[id]', `id_kont` = '0', `msg` = '$text', `time` = '".(time())."', `type` = 'to'") or die (mysql_error());
mysql_query("INSERT INTO `kolhoz_key` SET `id_user` = '$ku[id]', `time` = '$times' ") or die (mysql_error());
mysql_query("INSERT INTO `kolhoz_key` SET `id_user` = '$ku[id]', `time` = '$timesbon' ") or die (mysql_error());
mysql_query("INSERT INTO `kolhoz_price` SET `id_user` = '$ku[id]', `key` = '1',`bon` = '2', `time` = '".(time())."'") or die (mysql_error());
}
responseSuccess("Услуга абоненту оказана");
        // Оказываем услугу
        //responseError("Некоррктная структура смс"); exit;
        break;
    default:
        responseError("Некорректный метод, поддерживаются методы: check и pay"); exit;
}
 
responseSuccess("Успех");

?>